$ErrorActionPreference = 'Stop';

$packageName = 'MemProfiler'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://cdn.memprofiler.com/download/MemProfilerInstaller5_7_19-32bit.msi'
$url64      = 'http://cdn.memprofiler.com/download/MemProfilerInstaller5_7_19-64bit.msi'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64bit      = $url64

  softwareName  = 'MemProfiler*'

  checksum      = '8dfc2cb26776441151b30b7cc18da5303ffa7d3d56eee25246593452feec38be'
  checksumType  = 'sha256'
  checksum64    = 'a2e9cde738083404536e51337c09d880b38165926b27718a51b917c42412fbd2'
  checksumType64= 'sha256'

  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
